org.apache.lucene.util.automaton

## Class StatePair

- java.lang.Object
- - org.apache.lucene.util.automaton.StatePair

-     public class StatePair
      extends Object

  Pair of states.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatePair(int s1, int s2)` Constructs a new state pair.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Checks for equality.
    `int` | `hashCode()` Returns hash code.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatePair

          public StatePair(int s1,
                           int s2)

      Constructs a new state pair.
      Parameters:
        `s1` - first state
        `s2` - second state

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Checks for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - object to compare with
      Returns:
        true if `obj` represents the same pair of states as this pair

    - #### hashCode

          public int hashCode()

      Returns hash code.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hash code

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.